# Uses of Class
org.apache.lucene.queryparser.xml.QueryBuilderFactory

Packages that use QueryBuilderFactory
Package
Description
org.apache.lucene.queryparser.xml
Parser that produces Lucene Query objects from XML streams.
org.apache.lucene.queryparser.xml.builders
XML Parser factories for different Lucene Query/Filters.

- ## Uses of QueryBuilderFactory in org.apache.lucene.queryparser.xml

  Fields in org.apache.lucene.queryparser.xml declared as QueryBuilderFactory
  Modifier and Type
  Field
  Description
  `protected QueryBuilderFactory`
  CoreParser.`queryFactory`

- ## Uses of QueryBuilderFactory in org.apache.lucene.queryparser.xml.builders

  Constructors in org.apache.lucene.queryparser.xml.builders with parameters of type QueryBuilderFactory
  Modifier
  Constructor
  Description
  ``
  `ConstantScoreQueryBuilder(QueryBuilderFactory queryFactory)`